MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029846Community[OCCT] OCCT:Data Exchangepublic2018-06-06 15:272018-07-30 10:25
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029846: Data Exchange - STEP validation properties support is obsolete
DescriptionThe problem has been reported by Hugues Delorme on the user's forum at
https://www.opencascade.com/content/step-validation-properties [^]

~~~~~
Hello,

I'm trying to load the (geometric) validation properties associated to a STEP model (as1-oc-214.stp form cax-if.org) with STEPCAFControl_Reader.

I made sure to call SetPropsMode(true) on the reader object, but at the end no validation properties were loaded.

After some debugging it appears that STEPConstruct_ValidationProps::LoadProps() checks for a property definition named "geometric_validation_property".

But in the as1-oc-214 STEP file the corresponding properties are named "geometric validation property" ie words separated by space instead of underscore :

#6264 = PROPERTY_DEFINITION_REPRESENTATION(#6265,#6266);
#6265 = PROPERTY_DEFINITION('geometric validation property','volume', #741);
#6266 = REPRESENTATION('volume',(#6267),#735);

Could that be the issue ?
~~~~~

Indeed the support of validation properties in OCCT is quite obsolete: it conforms to the very first recommended practices circa 1999, but not actual version (4.4 issued in 2016, see https://www.cax-if.org/documents/rec_prac_gvp_v44.pdf [^]). In particular, names of the properties should not contain underscores.
Steps To ReproduceBranch CR29846 is ready to be reviewed.
Results of the tests can be find:

http://jenkins-test-11.nnov.opencascade.com:8080//view/master-CR29846-gka/view/COMPARE/ [^]
TagsNo tags attached.
Test case numberNot needed
Attached Files? file icon as1-oc-214.stp (441,968 bytes) 2018-07-05 18:33

- Relationships
parent of 0029959verifiedbugmaster Open CASCADE Coding - new warnings after integration 29846 

-  Notes
(0077294)
git (administrator)
2018-07-05 19:12

Branch CR29846 has been created by gka.

SHA-1: 3118af7beae6b16935389d10a185c217357c00a3


Detailed log of new commits:

Author: gka
Date: Thu Jul 5 19:10:31 2018 +0300

    0029846: Data Exchange - STEP validation properties support is obsolete
    
    In the method STEPContruct_ValidationProps::LoadProps name of the PROPERTY_DEFINITION entity for validation properties is compared with string "geometric validation property".
    To compatibility with previous version of the writing validation properties all underscore symbols in the name were replaced on the blanks.
    In the method STEPConstruct_ValidationProps::AddProp name of the PROPERTY_DEFINITION entity for validation properties is modified on the "geometric validation property".
(0077295)
git (administrator)
2018-07-05 19:51

Branch CR29846 has been updated forcibly by gka.

SHA-1: 8d36332e77e88893b15c971da0087c1d8ab8e64b
(0077307)
git (administrator)
2018-07-06 11:51

Branch CR29846 has been updated forcibly by gka.

SHA-1: 760d7fcc58596753854a21d2dbae1f7e7e74cd9c
(0077557)
git (administrator)
2018-07-12 18:49

Branch CR29846_1 has been created by abv.

SHA-1: c8c604480597ba747c1edd32741018fcfa1e9283


Detailed log of new commits:

Author: gka
Date: Thu Jul 5 19:10:31 2018 +0300

    0029846: Data Exchange - STEP validation properties support is obsolete
    
    Name of the PROPERTY_DEFINITION entity for validation properties is changed to "geometric validation property" according to the current version of the recommended practices.
    For compatibility with older definitions (with underscores) the check is made using string with underscores replaced by spaces.
(0077558)
abv (manager)
2018-07-12 18:57

Reviewed with minor changes in wording of commit message and code comments; please integrate from branch CR29846_1.
(0077563)
git (administrator)
2018-07-13 12:06

Branch CR29846_1 has been updated forcibly by gka.

SHA-1: fec415d74be60db1a57276e14622692a3510ace6
(0077578)
git (administrator)
2018-07-13 15:58

Branch CR29846_1 has been updated by gka.

SHA-1: 9dfb388fb07885e32328ecfaafa1f351298bf06d


Detailed log of new commits:

Author: gka
Date: Fri Jul 13 15:55:06 2018 +0300

    Modified testin according to issue 0029916

(0077599)
git (administrator)
2018-07-14 12:41

Branch CR29846_1 has been deleted by inv.

SHA-1: 9dfb388fb07885e32328ecfaafa1f351298bf06d
(0077621)
git (administrator)
2018-07-14 12:42

Branch CR29846 has been deleted by inv.

SHA-1: 760d7fcc58596753854a21d2dbae1f7e7e74cd9c
(0077679)
msv (developer)
2018-07-16 15:58

This fix causes compilation warning on MSVS 2015:
XDEDRAW_Props.cxx(920): warning C4456: declaration of 'aLabel' hides previous local declaration
(0077681)
gka (developer)
2018-07-16 16:26

Compilation warning already was fixed.

- Related Changesets
occt: master ffe1b143
Timestamp: 2018-07-05 16:10:31
Author: gka
Committer: bugmaster
Details ] Diff ]
0029846: Data Exchange - STEP validation properties support is obsolete

Name of the PROPERTY_DEFINITION entity for validation properties is changed to "geometric validation property" according to the current version of the recommended practices.
For compatibility with older definitions (with underscores) the check is made using string with underscores replaced by spaces.
mod - src/STEPConstruct/STEPConstruct_ValidationProps.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Props.cxx Diff ] File ]
mod - tests/de/step_2/B2 Diff ] File ]
mod - tests/de/step_4/H3 Diff ] File ]
add - tests/de/step_5/B7 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-06 15:27 abv New Issue
2018-06-06 15:27 abv Assigned To => gka
2018-06-06 15:30 abv Description Updated View Revisions
2018-07-05 18:05 gka Status new => assigned
2018-07-05 18:33 gka File Added: as1-oc-214.stp
2018-07-05 19:12 git Note Added: 0077294
2018-07-05 19:51 git Note Added: 0077295
2018-07-06 11:51 git Note Added: 0077307
2018-07-06 11:58 gka Assigned To gka => abv
2018-07-06 11:58 gka Status assigned => resolved
2018-07-06 11:58 gka Steps to Reproduce Updated View Revisions
2018-07-12 18:49 git Note Added: 0077557
2018-07-12 18:57 abv Note Added: 0077558
2018-07-12 18:57 abv Assigned To abv => bugmaster
2018-07-12 18:57 abv Status resolved => reviewed
2018-07-13 12:06 git Note Added: 0077563
2018-07-13 15:58 git Note Added: 0077578
2018-07-14 12:26 bugmaster Changeset attached => occt master ffe1b143
2018-07-14 12:26 bugmaster Status reviewed => verified
2018-07-14 12:26 bugmaster Resolution open => fixed
2018-07-14 12:41 git Note Added: 0077599
2018-07-14 12:42 git Note Added: 0077621
2018-07-14 19:23 kgv Relationship added parent of 0029959
2018-07-16 15:58 msv Note Added: 0077679
2018-07-16 16:26 gka Note Added: 0077681
2018-07-30 10:25 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker